package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.BaseDeviceLedgerMapper;
import com.aucma.base.domain.BaseDeviceLedger;
import com.aucma.base.service.IBaseDeviceLedgerService;

/**
 * 设备台账Service业务层处理
 * 
 * @author Yinq
 * @date 2023-09-19
 */
@Service
public class BaseDeviceLedgerServiceImpl implements IBaseDeviceLedgerService 
{
    @Autowired
    private BaseDeviceLedgerMapper baseDeviceLedgerMapper;

    /**
     * 查询设备台账
     * 
     * @param objId 设备台账主键
     * @return 设备台账
     */
    @Override
    public BaseDeviceLedger selectBaseDeviceLedgerByObjId(Long objId)
    {
        return baseDeviceLedgerMapper.selectBaseDeviceLedgerByObjId(objId);
    }

    /**
     * 查询设备台账列表
     * 
     * @param baseDeviceLedger 设备台账
     * @return 设备台账
     */
    @Override
    public List<BaseDeviceLedger> selectBaseDeviceLedgerList(BaseDeviceLedger baseDeviceLedger)
    {
        return baseDeviceLedgerMapper.selectBaseDeviceLedgerList(baseDeviceLedger);
    }

    /**
     * 新增设备台账
     * 
     * @param baseDeviceLedger 设备台账
     * @return 结果
     */
    @Override
    public int insertBaseDeviceLedger(BaseDeviceLedger baseDeviceLedger)
    {
        return baseDeviceLedgerMapper.insertBaseDeviceLedger(baseDeviceLedger);
    }

    /**
     * 修改设备台账
     * 
     * @param baseDeviceLedger 设备台账
     * @return 结果
     */
    @Override
    public int updateBaseDeviceLedger(BaseDeviceLedger baseDeviceLedger)
    {
        return baseDeviceLedgerMapper.updateBaseDeviceLedger(baseDeviceLedger);
    }

    /**
     * 批量删除设备台账
     * 
     * @param objIds 需要删除的设备台账主键
     * @return 结果
     */
    @Override
    public int deleteBaseDeviceLedgerByObjIds(Long[] objIds)
    {
        return baseDeviceLedgerMapper.deleteBaseDeviceLedgerByObjIds(objIds);
    }

    /**
     * 删除设备台账信息
     * 
     * @param objId 设备台账主键
     * @return 结果
     */
    @Override
    public int deleteBaseDeviceLedgerByObjId(Long objId)
    {
        return baseDeviceLedgerMapper.deleteBaseDeviceLedgerByObjId(objId);
    }
}
